class CSSPrimitiveValue

# class CSSPrimitiveValue | The `CSSPrimitiveValue` interface represents a single More...
Full name | `DOM::CSSPrimitiveValue`
Definition | `#include <css_value.h>`
Inherits | DOM::CSSValue [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum UnitTypes { CSS_UNKNOWN = 0, CSS_NUMBER = 1, CSS_PERCENTAGE = 2, CSS_EMS = 3, CSS_EXS = 4, CSS_PX = 5, CSS_CM = 6, CSS_MM = 7, CSS_IN = 8, CSS_PT = 9, CSS_PC = 10, CSS_DEG = 11, CSS_RAD = 12, CSS_GRAD = 13, CSS_MS = 14, CSS_S = 15, CSS_HZ = 16, CSS_KHZ = 17, CSS_DIMENSION = 18, CSS_STRING = 19, CSS_URI = 20, CSS_IDENT = 21, CSS_ATTR = 22, CSS_COUNTER = 23, CSS_RECT = 24, CSS_RGBCOLOR = 25, CSS_HTML_RELATIVE = 255 }

#### Public Methods

- CSSPrimitiveValue ()
- CSSPrimitiveValue (const CSSPrimitiveValue &other)
- CSSPrimitiveValue (const CSSValue &other)
- CSSPrimitiveValue (CSSPrimitiveValueImpl *impl)
- CSSPrimitiveValue & operator = (const CSSPrimitiveValue &other)
- CSSPrimitiveValue & operator = (const CSSValue &other)
- ~CSSPrimitiveValue ()
- unsigned short primitiveType () const
- void setFloatValue ( unsigned short unitType, float floatValue )
- float getFloatValue ( unsigned short unitType )
- void setStringValue ( unsigned short stringType, const DOM::DOMString &stringValue )
- DOM::DOMString getStringValue ( )
- Counter getCounterValue ( )
- Rect getRectValue ( )
- RGBColor getRGBColorValue ( )

## Detailed Description

The `CSSPrimitiveValue` interface represents a single CSS value . This interface may be used to determine the value of a specific style property currently set in a block or to set a specific style properties explicitly within the block. An instance of this interface can be obtained from the `getPropertyCSSValue` method of the `CSSStyleDeclaration` interface.

CSSPrimitiveValue () | ### CSSPrimitiveValue

CSSPrimitiveValue (const CSSPrimitiveValue &other) | ### CSSPrimitiveValue

CSSPrimitiveValue (const CSSValue &other) | ### CSSPrimitiveValue

CSSPrimitiveValue (CSSPrimitiveValueImpl *impl) | ### CSSPrimitiveValue

CSSPrimitiveValue & operator = (const CSSPrimitiveValue &other) | ### operator =

Reimplemented from CSSValue.

CSSPrimitiveValue & operator = (const CSSValue &other) | ### operator =

Reimplemented from CSSValue.

~CSSPrimitiveValue () | ### ~CSSPrimitiveValue

enum UnitTypes { CSS_UNKNOWN = 0, CSS_NUMBER = 1, CSS_PERCENTAGE = 2, CSS_EMS = 3, CSS_EXS = 4, CSS_PX = 5, CSS_CM = 6, CSS_MM = 7, CSS_IN = 8, CSS_PT = 9, CSS_PC = 10, CSS_DEG = 11, CSS_RAD = 12, CSS_GRAD = 13, CSS_MS = 14, CSS_S = 15, CSS_HZ = 16, CSS_KHZ = 17, CSS_DIMENSION = 18, CSS_STRING = 19, CSS_URI = 20, CSS_IDENT = 21, CSS_ATTR = 22, CSS_COUNTER = 23, CSS_RECT = 24, CSS_RGBCOLOR = 25, CSS_HTML_RELATIVE = 255 } | ### UnitTypes

An integer indicating which type of unit applies to the value.

unsigned short primitiveType () | ### primitiveType

[const]

The type of the value as defined by the constants specified above.

void setFloatValue ( unsigned short unitType, float floatValue ) | ### setFloatValue

A method to set the float value with a specified unit. If the property attached with this value can not accept the specified unit or the float value, the value will be unchanged and a `DOMException` will be raised.

NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

Parameters:

unitType | A unit code as defined above. The unit code can only be a float unit type (e.g. `NUMBER` , `PERCENTAGE` , `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_DEG` , `CSS_RAD` , `CSS_GRAD` , `CSS_MS` , `CSS_S` , `CSS_HZ` , `CSS_KHZ` , `CSS_DIMENSION` ).
floatValue | The new float value.

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, attached, property, doesn't, support, the, float, value, or, the, unit, type.

float getFloatValue ( unsigned short unitType ) | ### getFloatValue

This method is used to get a float value in a specified unit. If this CSS value doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised.

Parameters:

unitType | A unit code to get the float value. The unit code can only be a float unit type (e.g. `CSS_NUMBER` , `CSS_PERCENTAGE` , `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_DEG` , `CSS_RAD` , `CSS_GRAD` , `CSS_MS` , `CSS_S` , `CSS_HZ` , `CSS_KHZ` , `CSS_DIMENSION` ).

Returns: The float value in the specified unit.

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, CSS, value, doesn't, contain, a, float, value, or, if, the, float, value, can't, be, converted, into, the, specified, unit.

void setStringValue ( unsigned short stringType, const DOM::DOMString &stringValue ) | ### setStringValue

A method to set the string value with a specified unit. If the property attached to this value can't accept the specified unit or the string value, the value will be unchanged and a `DOMException` will be raised.

NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

Parameters:

stringType | A string code as defined above. The string code can only be a string unit type (e.g. `CSS_URI` , `CSS_IDENT` , `CSS_INHERIT` and `CSS_ATTR` ).
stringValue | The new string value. If the `stringType` is equal to `CSS_INHERIT` , the `stringValue` should be `inherit` .

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, CSS, value, doesn't, contain, a, string, value, or, if, the, string, value, can't, be, converted, into, the, specified, unit.

DOM::DOMString getStringValue ( ) | ### getStringValue

This method is used to get the string value in a specified unit. If the CSS value doesn't contain a string value, a `DOMException` is raised.

Returns: The string value in the current unit. The current `valueType` can only be a string unit type (e.g. `CSS_URI` , `CSS_IDENT` and `CSS_ATTR` ).

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, CSS, value, doesn't, contain, a, string, value.

Counter getCounterValue ( ) | ### getCounterValue

This method is used to get the Counter value. If this CSS value doesn't contain a counter value, a `DOMException` is raised. Modification to the corresponding style property can be achieved using the `Counter` interface.

Returns: The Counter value.

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, CSS, value, doesn't, contain, a, Counter, value.

Rect getRectValue ( ) | ### getRectValue

This method is used to get the Rect value. If this CSS value doesn't contain a rect value, a `DOMException` is raised. Modification to the corresponding style property can be achieved using the `Rect` interface.

Returns: The Rect value.

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, CSS, value, doesn't, contain, a, Rect, value.

RGBColor getRGBColorValue ( ) | ### getRGBColorValue

This method is used to get the RGB color. If this CSS value doesn't contain a RGB color value, a `DOMException` is raised. Modification to the corresponding style property can be achieved using the `RGBColor` interface.

Returns: the RGB color value.

Throws: DOMException, INVALID_ACCESS_ERR:, Raises, if, the, attached, property, can't, return, a, RGB, color, value.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.